| GET | /RestApi/recycle-bin/items |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Skip | query | int? | No | |
| Take | query | int? | No | |
| OrderExpression | query | string | No | |
| TypeName | query | string | No | |
| SearchText | query | string | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
providerName: String,
itemTypeName: String,
displayTypeName: String,
itemTitle: String,
status: String,
statusText: String,
itemLanguage: String,
ownerName: String,
dateCreated: 0001-01-01,
parentTypeName: String,
parentTitlesPath: String
}
]